Portlet API (V0.7.1) : Class PortletModeException

Package | Class | Tree | Deprecated | Index | Help
| Portlet API (V0.7.1)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Class PortletModeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.portlet.PortletException
                        |
                        +--javax.portlet.PortletModeException

All Implemented Interfaces:
  java.io.Serializable

public class PortletModeException
extends PortletException

The `PortletModeException` is thrown when a portlet tries to use or set a portlet mode that is not supported by the current runtime environment.

See Also:
  Serialized Form

Constructor Summary
`PortletModeException(java.lang.String text, PortletMode mode)` Constructs a new portlet mode exception with the given text and the portlet mode that caused this exception.
`PortletModeException(java.lang.String text, java.lang.Throwable cause, PortletMode mode)` Constructs a new portlet mode exception when the portlet needs to do the following: throw an exception include a message about the "root cause" that interfered with its normal operation include a description message include the portlet mode that caused this exception
`PortletModeException(java.lang.Throwable cause, PortletMode mode)` Constructs a new portlet mode exception when the portlet needs to throw an exception.

Method Summary
`PortletMode` | `getMode()` Returns the unsupported portlet mode causing this exception.

Methods inherited from class javax.portlet.PortletException
`getCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletModeException

    public PortletModeException(java.lang.String text,
                                PortletMode mode)

  Constructs a new portlet mode exception with the given text and the portlet mode that caused this exception. The portlet container may use the text and portlet mode write it to a log.
  Parameters:
    `text` - the exception text
    `mode` - the mode causing the exception

### PortletModeException

    public PortletModeException(java.lang.String text,
                                java.lang.Throwable cause,
                                PortletMode mode)

  Constructs a new portlet mode exception when the portlet needs to do the following:
  throw an exception
  - include a message about the "root cause" that interfered with its normal operation
  - include a description message
  - include the portlet mode that caused this exception
  Parameters:
    `text` - the exception text
    `cause` - the root cause
    `mode` - the mode causing the exception

### PortletModeException

    public PortletModeException(java.lang.Throwable cause,
                                PortletMode mode)

  Constructs a new portlet mode exception when the portlet needs to throw an exception. The exception message is based on the localized message of the underlying exception and the portlet mode that caused this exception.
  Parameters:
    `cause` - the root cause
    `mode` - the mode causing the exception

Method Detail

### getMode

    public PortletMode getMode()

  Returns the unsupported portlet mode causing this exception.
  Returns:
    the portlet mode that caused this exception

Package | Class | Tree | Deprecated | Index | Help
| Portlet API (V0.7.1)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD